Hedefler
GET https://analytics.ipcidr.com/api/goals/
curl --request GET \
--url 'https://analytics.ipcidr.com/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| website_id | İsteğe bağlı Tam sayı | |
| type | İsteğe bağlı Metin | İzin verilen değerler: pageview, custom |
| search | İsteğe bağlı Metin | Arama metni. |
| search_by | İsteğe bağlı Metin | Hangi alana göre arama yapıyorsunuz. İzin verilen değerler: name, path, key. |
| datetime_field | İsteğe bağlı Metin | İzin verilen değerler: datetime, last_datetime |
| datetime_start | İsteğe bağlı Metin | Sonuçları bu tarihten itibaren filtreleyin. Y-m-d H:i:s biçimi. |
| datetime_end | İsteğe bağlı Metin | Sonuçları bu tarihe kadar filtreleyin. Y-m-d H:i:s biçimi. |
| order_by | İsteğe bağlı Metin | Sonuçları hangi alana göre sıralamak istiyorsunuz. İzin verilen değerler: goal_id, last_datetime, datetime, name, path, key. |
| order_type | İsteğe bağlı Metin | Sonuçların sıralama düzeni. İzin verilen değerler: Artan sıralama için ASC, azalan sıralama için DESC. |
| page | İsteğe bağlı Tam sayı | Sonuçları almak istediğiniz sayfa numarası. Varsayılan: 1. |
| results_per_page | İsteğe bağlı Tam sayı | Sayfa başına kaç sonuç istediğiniz. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan: 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-06-04 02:01:41",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.ipcidr.com/api/goals?page=1",
"last": "https://analytics.ipcidr.com/api/goals?page=1",
"next": null,
"prev": null,
"self": "https://analytics.ipcidr.com/api/goals?page=1"
}
}
GET https://analytics.ipcidr.com/api/goals/{goal_id}
curl --request GET \
--url 'https://analytics.ipcidr.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-06-04 02:01:41",
"last_datetime": null
}
}
POST https://analytics.ipcidr.com/api/goals
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| website_id | Zorunlu Tam sayı | - |
| type | Zorunlu Metin | İzin verilen değerler: pageview, custom |
| name | Zorunlu Metin | - |
| path | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = pageview |
| key | İsteğe bağlı Metin | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-06-04 02:01:41' \
--url 'https://analytics.ipcidr.com/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-06-04 02:01:41' \
{
"data": {
"id": 1
}
}
POST https://analytics.ipcidr.com/api/goals/{goal_id}
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| website_id | İsteğe bağlı Tam sayı | - |
| type | İsteğe bağlı Metin | İzin verilen değerler: pageview, custom |
| name | İsteğe bağlı Metin | - |
| path | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = pageview |
| key | İsteğe bağlı Metin | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://analytics.ipcidr.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://analytics.ipcidr.com/api/goals/{goal_id}
curl --request DELETE \
--url 'https://analytics.ipcidr.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \